/***********************************************************************

SOFTWARE RELEASE: MarMOT 1.1  DATE: 21 November 2013

Copyright Natural Environment Research Council, UK

Author: John Hemmings, National Oceanography Centre 
e-mail: j.hemmings@noc.ac.uk (until 30 Nov 2013) 
Alternative e-mail for author: marmot@wessexenv.mail1.co.uk 

This software is governed by the CeCILL  license under French law and
abiding by the rules of distribution of free software.  You can  use, 
modify and/ or redistribute the software under the terms of the CeCILL
license as circulated by CEA, CNRS and INRIA at the following URL
"http://www.cecill.info". 

As a counterpart to the access to the source code and  rights to copy,
modify and redistribute granted by the license, users are provided only
with a limited warranty  and the software's author,  the holder of the
economic rights,  and the successive licensors  have only  limited
liability. 

In this respect, the user's attention is drawn to the risks associated
with loading,  using,  modifying and/or developing or reproducing the
software by the user in light of its specific status of free software,
that may mean  that it is complicated to manipulate,  and  that  also
therefore means  that it is reserved for developers  and  experienced
professionals having in-depth computer knowledge. Users are therefore
encouraged to load and test the software's suitability as regards their
requirements in conditions enabling the security of their systems and/or 
data to be ensured and,  more generally, to use and operate it in the 
same conditions as regards security. 

The fact that you are presently reading this means that you have had
knowledge of the CeCILL license and that you accept its terms.

***********************************************************************/
/* marmot.h - John Hemmings (29 Jul 2013) */

#define N_MODEL 3          /* Number of ecosystem models */
#define N_ASSIM 1          /* Number of ecosystem models with assimilation */

#define N_FSCALITEM 5      /* Number of scalar forcing items */
#define N_FPROFITEM 5      /* Number of depth profile forcing items */

#define N_DIM         7 
#define N_CASEVAR     2 
#define N_PSET        6+N_MODEL+N_ASSIM 
#define N_MATITEM     0
#define N_GDOMITEM    2+N_FSCALITEM+N_FPROFITEM 
#define N_NGDOMITEM   1 
#define N_ITEMVAR_MAX 614 
#define N_OUTTAB      13 

#define OBJF_FLOAT_TYPE double 
#define OBJF_SIGDIG_DEF 6   
#define OBJF_NODATA   -999999. 

#define OBJF_SETUP_REQ 0 
#define OBJF_INPUTCHECK_REQ 1 

#define OPT_ENABLED 1 
#define N_PARMCTRLVAL 0 
#define N_FREEPARM_MAX 50
#define OBJF_FREEPARMCHECK_REQ 0 
#define OBJF_FREEPARMTRANSFORM_REQ 0 
