/***********************************************************************

SOFTWARE RELEASE: MarMOT 1.1  DATE: 21 November 2013

Copyright Natural Environment Research Council, UK

Author: John Hemmings, National Oceanography Centre 
e-mail: j.hemmings@noc.ac.uk (until 30 Nov 2013) 
Alternative e-mail for author: marmot@wessexenv.mail1.co.uk 

This software is governed by the CeCILL  license under French law and
abiding by the rules of distribution of free software.  You can  use, 
modify and/ or redistribute the software under the terms of the CeCILL
license as circulated by CEA, CNRS and INRIA at the following URL
"http://www.cecill.info". 

As a counterpart to the access to the source code and  rights to copy,
modify and redistribute granted by the license, users are provided only
with a limited warranty  and the software's author,  the holder of the
economic rights,  and the successive licensors  have only  limited
liability. 

In this respect, the user's attention is drawn to the risks associated
with loading,  using,  modifying and/or developing or reproducing the
software by the user in light of its specific status of free software,
that may mean  that it is complicated to manipulate,  and  that  also
therefore means  that it is reserved for developers  and  experienced
professionals having in-depth computer knowledge. Users are therefore
encouraged to load and test the software's suitability as regards their
requirements in conditions enabling the security of their systems and/or 
data to be ensured and,  more generally, to use and operate it in the 
same conditions as regards security. 

The fact that you are presently reading this means that you have had
knowledge of the CeCILL license and that you accept its terms.

***********************************************************************/

/* tabtsv.c - John Hemmings (Apr 2002) */

/* v1.01 - Jan 2003 - Write '\_' as '_' */

#include "toolbox.h"

#define INFILE 1 
#define OUTFILE 2

void editfield (char *);

main (int argc, char *argv[])

{ FILE *infile, *outfile;
  char varlist[LINE_MAX+1];
  char *varname[NFIELD_MAX];
  static double x[NFIELD_MAX];
  static char fieldlist[LINE_MAX+1];
  static char *field[NFIELD_MAX];
  struct datarec d={x,fieldlist,field,NULL};
  int nvar,ttb,status,lineno,i;
  
  version("1.01",VHDR,argc,argv); 

  if (argc<3) 
    { fprintf(stderr,"Usage: %s infile outfile\n",argv[0]);
      exit(EXIT_FAILURE);
    }

  for (i=1;i<argc;i++)
    if (strpbrk(argv[i],WHITESPACE)!=NULL) exiterror(BADARG,argv[0],argv[i],0);

  if (strcmp(argv[INFILE],"-")==0) infile=stdin;
  else if ((infile=fopen(argv[INFILE],"r"))==NULL)
    exiterror(OPENINERR,argv[0],argv[INFILE],0);

  status=readvar(infile,varlist,varname,&nvar,&ttb,&lineno);
  if (status!=OK) exiterror(status,argv[0],argv[INFILE],lineno);

  if (strcmp(argv[OUTFILE],"-")==0) outfile=stdout;
  else if ((outfile=fopen(argv[OUTFILE],"w"))==NULL)
    exiterror(OPENOUTERR,argv[0],argv[OUTFILE],0);

  for (i=0;i<nvar;i++) editfield(varname[i]);
  status=writevar(outfile,0,nvar,varname,NULL,COLSEP_TAB);
  if (status!=OK) exiterror(status,argv[0],argv[OUTFILE],0);

    { while ((status=readdata(infile,ttb,nvar,0,NULL,0,NULL,&d,&lineno))==OK)
        { for (i=0;i<nvar;i++) editfield(d.field[i]);
          status=
            writedata(outfile,0,&d,nvar,NULL,NULL,NULL,DEFAULT,COLSEP_TAB,1);
          if (status!=OK) exiterror(status,argv[0],argv[OUTFILE],0);
        }
      if (status!=EOF) exiterror(status,argv[0],argv[INFILE],lineno);
    }

  fclose(infile);
  fclose(outfile);
  return EXIT_SUCCESS;
}


void editfield (char *p)

{ char *q;

  if (p) while (*p)
    { if (*p=='\\' && *(p+1)=='_')
        { q=p+1;
          do
            { *(q-1)=*q;
              q++;
            }
          while (*q);
          *(q-1)='\0';
        }
      else if (*p=='_') *p=' ';
      p++;
    }
}


