/***********************************************************************

SOFTWARE RELEASE: MarMOT 1.1  DATE: 21 November 2013

Copyright Natural Environment Research Council, UK

Author: John Hemmings, National Oceanography Centre 
e-mail: j.hemmings@noc.ac.uk (until 30 Nov 2013) 
Alternative e-mail for author: marmot@wessexenv.mail1.co.uk 

This software is governed by the CeCILL  license under French law and
abiding by the rules of distribution of free software.  You can  use, 
modify and/ or redistribute the software under the terms of the CeCILL
license as circulated by CEA, CNRS and INRIA at the following URL
"http://www.cecill.info". 

As a counterpart to the access to the source code and  rights to copy,
modify and redistribute granted by the license, users are provided only
with a limited warranty  and the software's author,  the holder of the
economic rights,  and the successive licensors  have only  limited
liability. 

In this respect, the user's attention is drawn to the risks associated
with loading,  using,  modifying and/or developing or reproducing the
software by the user in light of its specific status of free software,
that may mean  that it is complicated to manipulate,  and  that  also
therefore means  that it is reserved for developers  and  experienced
professionals having in-depth computer knowledge. Users are therefore
encouraged to load and test the software's suitability as regards their
requirements in conditions enabling the security of their systems and/or 
data to be ensured and,  more generally, to use and operate it in the 
same conditions as regards security. 

The fact that you are presently reading this means that you have had
knowledge of the CeCILL license and that you accept its terms.

***********************************************************************/
/* nrfunclib.h - John Hemmings 23 Feb 2010 */
/* Functions from Numerical Recipes - 2nd Edition */

#define NTAB 32

struct ranwkrec {
  long idum;
  long iy;          /* used in 'ran1' */
  long iv[NTAB];    /* used in 'ran1' */
  int iset;         /* used in 'ran1norm' */
  float gset;       /* used in 'ran1norm' */ 
};

void raninit (struct ranwkrec *);
double ran1 (long, struct ranwkrec *, int *);
double ran1norm (long, struct ranwkrec *, int *);
double betai (double, double, double, double);
double betacf (double, double, double, double);
double gammln (double, double);

